curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/types/validate' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"arg_types": [
"entity",
"location"
],
"predicate": "lived_in"
}'
{
"error": "string",
"expected_signature": {
"arg_types": [
"string"
],
"arity": 1,
"doc": "string",
"name": "string",
"return_type": "string"
},
"valid": true
}
Validate a fact against the type registry
Required scope: write
POST
/
api
/
v1
/
types
/
validate
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/types/validate' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"arg_types": [
"entity",
"location"
],
"predicate": "lived_in"
}'
{
"error": "string",
"expected_signature": {
"arg_types": [
"string"
],
"arity": 1,
"doc": "string",
"name": "string",
"return_type": "string"
},
"valid": true
}
Required scope:
write
Request body
ValidateTypeRequest
string[]
required
Argument types to validate
string
required
Predicate name
Response
ValidateTypeResponse
string
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Validation result |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request POST \
--url 'https://api.nsr.stateset.com/api/v1/types/validate' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"arg_types": [
"entity",
"location"
],
"predicate": "lived_in"
}'
{
"error": "string",
"expected_signature": {
"arg_types": [
"string"
],
"arity": 1,
"doc": "string",
"name": "string",
"return_type": "string"
},
"valid": true
}